#!/bin/bash

full_filename=NZDataFull.xml
full_filename_utf8=NZDataFull-UTF8.xml

if [ ! -f $full_filename ] ; then
  echo "Did not detect uncompressed MARC-XML file '$full_filename'"
  echo " => Including UTF-8 character encoding XML processing instruction at start"  
  echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>" > $full_filename
  echo "<collection xmlns=\"http://www.loc.gov/MARC21/slim\">" >> $full_filename 

  echo " => Appending uncompressed data to '$full_filename' ..."  
  gzip -d --stdout pubsnzmetadata.xml.gz >> $full_filename
  echo "</collection>" >> $full_filename
  echo " => ... Done"  
fi

if [ ! -f $full_filename_utf8 ] ; then

  echo "Fixing 'alien' character encodings issues within a UTF-8 file"

  java -cp UTF8_Fix/bin UTF8Fix "$full_filename" "$full_filename_utf8"

fi

echo "Splitting '$full_filename', this may take some time ..."
java -classpath marcXML_Split/lib/marc4j-2.6.0.jar:marcXML_Split/lib/guava-15.0.jar:marcXML_Split/bin split $*

